Subject: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Stefan Monnier <[email-masked]>
Date: Fri, 22 May 2015 18:43:56 -0400

> The reason gedit was working fine previously is that it never used
> "Latin Modern Math", it used some other font.

IOW Emacs doesn't seem to behave differently from other applications
w.r.t this font, except for the fact that it ends up selecting up while
other apps select another font instead.

So the question becomes: why does Emacs select this font and how could
we change ti so it selects something else.

BTW, I think that using something like

    (set-fontset-font fontset 'unicode (font-spec :name "Symbola") nil 'append)
or
    (set-fontset-font "fontset-default" '(#x1d400 . #x1d7ff) "Symbola")

just sucks: we don't want to say "use Symbola", but we instead want to
say something like "avoid Latin Modern Math" or "ignore Latin Modern
Math's ascent/descent information".

        Stefan